Commit/Rollback/Cancel a route set update.
post
/{versionId}/routeSets/routeUpdates/{taskId}/action
Use this method (POST) to perform some actions on the route set update tasks. The user needs to provide task IS as part of the URI and type of action to be performed (Commit/Rollback/Cancel) as part of the method body.
Request
Path Parameters
-
taskId(required):
The task id on which Commit/Cancel/Rollback actions to be performed.
-
versionId(required):
The REST API version. It's value is v1.3.
Response
200 Response
400 Response
The user input is invalid.
401 Response
The session ID is invalid.
403 Response
There is no permission to access the resources.
404 Response
The object (resource URI, device, and so on) of your input request cannot be found.
500 Response
Internal server error
Examples
Examples of Accessing the API
See Authenticate for how to acquire a session cookie.
The following example shows how to commit, rollback, or cancel a route set update using curl.
curl -X POST \
-b sessionid.txt \
--header "Accept: application/xml" \
--header "Content-Type: application/xml" \
"https://example.com:8443/rest/v1.3/routeSets/routeUpdates/{taskId}/action"The following example shows how to commit, rollback, or cancel a route set update using Python.
import requests
from lxml import etree
url = "https://example.com:8443/rest/v1.3/routeSets/routeUpdates/{taskId}/action"
headers = { "Accept":"application/xml", "Content-Type: application/xml", "Cookie":cookie }
data = etree.tostring(etree.parse("request.json"))
resp = requests.post(url, headers=headers, data=data)Example of the Request Body
The following example shows the contents of the request body in XML.
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<routeUpdateAction>
<type>Commit</type>
</routeUpdateAction>The following example shows the contents of the request body in JSON.
{
"type": "Commit"
}Example of the Response Body
This endpoint does not return a response body.